all: crt0.o

crt0.o: crt0.s as.py
	python as.py -c $< -o $@

as.py: obj_pb2.py

obj_pb2.py: obj.proto
	protoc --python_out=. $<

PHONY: clean distclean

clean:
	rm -rf crt0.o

distclean: clean
	rm -rf obj_pb2.py __pycache__
